EUCA-DESCRIBE-IMAGE-ATTRIBUTE(1)

NAME
euca-describe-image-attribute - Show information about an attribute of an image

SYNOPSIS
euca-describe-image-attribute

(-l | -p | -B | --kernel | --ramdisk | --description)
    [--show-empty-fields] [-U URL] [--region USER@REGION] [-I KEY_ID] [-S KEY] [--security-token TOKEN] [--debug] [--debugger] [--version] [-h] IMAGE

DESCRIPTION
Show information about an attribute of an image

  positional arguments:

IMAGE
    image to describe

  optional arguments:

-l, --launch-permission
    display launch permissions

-p, --product-codes
    list associated product codes

-B, --block-device-mapping
    describe block device mappings

--kernel
    show associated kernel image ID

--ramdisk
    show associated ramdisk image ID

--description
    show the image's description

--show-empty-fields
    show empty values as "(nil)"

-U URL, --url URL
    compute service endpoint URL

--region USER@REGION
    region and/or user names to search when looking up config file data

-I KEY_ID, --access-key-id KEY_ID

-S KEY, --secret-key KEY

--security-token TOKEN

--debug
    show debugging output

--debugger
    launch interactive debugger on error

--version
    show the program's version and exit

-h, --help
    show this help message and exit